<?php

namespace Drupal\dr8_zth\Entity;


use Drupal\Core\Config\Entity\ConfigEntityBase;

/**
 * Defines the taxonomy vocabulary entity.
 *
 * @ConfigEntityType(
 *   id = "blog_type",
 *   label = @Translation("Blog type"),
 *   handlers = {
 *     "list_builder" = "Drupal\Core\Config\Entity\ConfigEntityListBuilder",
 *   },
 *   admin_permission = "administer blog",
 *   config_prefix = "type",
 *   bundle_of = "blog",
 *   entity_keys = {
 *     "id" = "type",
 *     "label" = "name",
 *   },
 *   links = {
 *     "add-form" = "/admin/structure/blog/manage/{blog_type}/add",
 *     "collection" = "/admin/structure/blog",
 *     "delete-form" = "/admin/structure/blog/manage/{blog_type}/delete",
 *     "edit-form" = "/admin/structure/blog/manage/{blog_type}"
 *   },
 *   config_export = {
 *     "name",
 *     "type",
 *     "description",
 *   }
 * )
 */
class BlogType extends ConfigEntityBase {

}
